Import Shotgun scenes. Send a list of Shotgun scene entries in the JSON body. Returns created or updated scenes linked to sequences.
POST
/import/shotgun/scenes
curl
curl -X POST "http://api.example.com/import/shotgun/scenes" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '[
{
"id": 12345,
"code": "SC01",
"project": {
"name": "My Project"
}
}
]'
import requests
url = "http://api.example.com/import/shotgun/scenes"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = [
{
"id": 12345,
"code": "SC01",
"project": {
"name": "My Project"
}
}
]
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request POST 'http://api.example.com/import/shotgun/scenes' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '[{"id":12345,"code":"SC01","project":{"name":"My Project"}}]'
Request example
[
{
"id": 12345,
"code": "SC01",
"project": {
"name": "My Project"
}
}
]
Response examples (200)
[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"name": "SC01",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T11:00:00Z"
}
]